<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
 xmlns:tx="http://www.kokken.go.jp/taiyo"
 exclude-result-prefixes="tx">
<xsl:strip-space elements="*"/>
<xsl:template match="/">
  <html>
	<head>
	 <meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS"/>
	 <meta http-equiv="Content-Style-Type" content="text/css" />
	 <link rel="stylesheet" href="zassi.css" type="text/css" />
	 <title>
		<xsl:value-of select="//@"/>
		u<xsl:value-of select="//@薼"/>v
		i<xsl:value-of select="tx:G/@G"/>
		<xsl:value-of select="tx:G/@N"/>N
		<xsl:value-of select="tx:G/@"/>j
	 </title>
	</head>

	<body>
		<xsl:apply-templates select="tx:G"/>
		<!-- reffer to http://www.feedthebot.com/pagespeed/defer-loading-javascript.html -->
		<!-- added by Masaya YAMAGUCHI, 2014-02-21 -->
		<script type="text/javascript">
		  function downloadJSAtOnload() {location.href="#himawari";}
		  if (window.addEventListener)
		  window.addEventListener("load", downloadJSAtOnload, false);
		  else if (window.attachEvent)
		  window.attachEvent("onload", downloadJSAtOnload);
		  else window.onload = downloadJSAtOnload;
		</script>
	</body>
  </html>
</xsl:template>

<xsl:template match="tx:L">
	<h2><xsl:value-of select="@薼"/></h2>
	<p class="right"><xsl:value-of select='@'/></p>
	<p class="honmon"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="tx:O">
<xsl:choose>
<xsl:when test="contains(./@ԍ,'T')">
	<span class="note" title="O:{@L}FNbNŊg\" onClick="Javascript:url='http://www2.kokken.go.jp/~taiyo/public/gaiji/{@ԍ}.png';window.open(url,'_blank','width=120,height=120');">
	<img alt="[O{@ԍ}]" src="http://www2.kokken.go.jp/~taiyo/public/gaiji/{@ԍ}.png" width="24" class="mojihaba"/>
	</span>
</xsl:when>
<xsl:otherwise>
	<span class="note" title="{@ԍ}FNbNŊg\" onClick="Javascript:url='http://www.mojikyo.gr.jp/gif96/{format-number(@ԍ, '000000')}.gif';window.open(url,'_blank','width=120,height=120');">
	<img alt="[{@ԍ}]" src="http://www.mojikyo.gr.jp/gif/{format-number(@ԍ, '000000')}.gif" class="mojihaba"/>
	</span>
</xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:template match="tx:s"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:"><span class="small"><xsl:apply-templates/></span></xsl:template>
<xsl:template match="tx:s"><span class="gray">^</span></xsl:template>

<xsl:template match="tx:\LXJEg"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:͑Ώ">
<span class="box"><xsl:value-of select="@"/></span>
</xsl:template>

<xsl:template match="tx:t"><sup><xsl:apply-templates/></sup></xsl:template>
<xsl:template match="tx:t"><sub><xsl:apply-templates/></sub></xsl:template>
<xsl:template match="tx:"><span class="gouji"><xsl:apply-templates/></span></xsl:template>
<xsl:template match="tx:"><span class="kogaki"><xsl:apply-templates/></span></xsl:template>
<xsl:template match="tx:hӌ"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:">
<span class="note" title="yCz={@}@={@}" onClick="JavaScript:alert('yCz={@}@={@}');">
<xsl:apply-templates/>
</span>
</xsl:template>

<xsl:template match="tx:p">
	<q title="={@} b={@b}" onClick="JavaScript:alert('={@} b={@b}');">
	<xsl:apply-templates/>
	</q>
</xsl:template>

<!-- hit -->
  <xsl:template match="tx:tg">
    <a class="target_string" title="sɈvt" onClick="JavaScript:alert('sɈvt');">
    <xsl:attribute name="id">
      <xsl:value-of select="@id"/>
    </xsl:attribute>
      <xsl:apply-templates/>
    </a>
  </xsl:template>


<xsl:template name="">
	<p class="right gray small">
iO\̂߁A<a href="http://www.mojikyo.org/" target="_blank">u̕v</a>̉摜t@CgpĂ܂Bj
<a href="http://www.mojikyo.org/" target="_blank"><img border="1" src="http://www.mojikyo.org/img/mologo_anime.gif" width="88" height="31" /></a>
	</p>
</xsl:template>

</xsl:stylesheet>
